Subject: [LON-CAPA-dev] peer reviewed question pool

From: Scott Harrison <[email-masked]>
Date: Wed, 27 Mar 2002 11:03:38 -0500

Dear All:

We need a "strategic vision" here...
http://bugs.lon-capa.org/show_bug.cgi?id=80

(Any resolution would help me attack this bug.)

*** Problem/Bug/Feature-request ***:
Is it searchable by reviews?  My impression is that people want to search for
high ranking problems.  I also understand that this poses some problems.  High
ranking problems could potentially get overused and drown out new, unused,
unranked problems.

*** Some kind of solution ***:
Would it be reasonable to some how get some of this dynamic data into the
metadata database somehow?

I am guessing we would need to grow the number of rows. . . is that reasonable?

*** Specific at-issue ***:
Need to grow number of columns or tables.

At issue is whether or not we want the same
table handling core metadata, peer review metadata,
usage metadata, success-fail performance metadata,
etc.

I would expect implementation issues and transaction
issues to be significantly different for each of these
data groupings.

-- 
Scott Harrison, [email-masked]